Remove the ordering PIN
DELETE
/storefront/sites/{host}/account/pin
const url = 'https://example.com/storefront/sites/northgate.shop.getbottle.app/account/pin';const options = { method: 'DELETE', headers: {'Content-Type': 'application/json'}, body: '{"password":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/storefront/sites/northgate.shop.getbottle.app/account/pin \ --header 'Content-Type: application/json' \ --data '{ "password": "example" }'Deliberately without a staff session: a shopper on the business’s own shop. Needs the password.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”host
required
string
Example
northgate.shop.getbottle.appRequest Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
password
required
string
Examplegenerated
{ "password": "example"}Responses
Section titled “Responses”Done
Refused: the message says why
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not from the shop itself, or the email is not confirmed yet
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a shop. No body.
A real shop not selling now (shop_closed)
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}Too many tries
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}